Jump to content
X2Community Forums

MikeiLL

core_group_3
  • Content Count

    62
  • Joined

  • Last visited

  • Days Won

    5

Everything posted by MikeiLL

  1. That worked, man. Good idea. I'm guessing the X2 does more than simple hash the password string into the database. Is there a bit of php code somewhere you could point us devs to that we could use stand-alone to update an admin password the way X2s password reset does?
  2. Hi dear ones. My admin login wasn't working today for some reason and php mail was failing to send the reset email. I looked under the hood in the DB and most of the user passwords are preceded with the string `sha256:32768:`. So I tried hashing a text string at http://www.convertstring.com/Hash/SHA256and updating the data field with the output bot preceded by the above string and without, but the app is rejecting my username/password on both. Other logins are working. Can you recommend a solution?
  3. Clearing the CloudFlare (CDN) Cache solved the problem. Maybe it was an older version of ckeditor.js being served.
  4. Recently upgraded to 6.9. Was getting file not found errors on `js/ckeditor/plugins/codemirror/plugin.js` as well as `js/ckeditor/plugins/codeEditor/plugin.js`. Got this far: wget https://github.com/w8tcha/CKEditor-CodeMirror-Plugin/archive/v1.17.2.zip unzip v1.17.2.zip mv CKEditor-CodeMirror-Plugin-1.17.2/codemirror . wget https://download.ckeditor.com/pbckcode/releases/pbckcode_1.2.5.zip unzip pbckcode_1.2.5.zip mv pbckcode codeEditor # Within the js/ckeditor/plugins directory Now am getting this error in the console: ckeditor.js?1501261342:180 Uncaught TypeError: Cannot read propert
  5. Hi I've been poking around the app as well as docs for a while and can't seem to remember how to add a new user email to be included in the Send As listing for mailing out a campaign. Can someone please remind me?
  6. Thank you so much, Isaiah. Success. I updated the protected dir with rsync: rsync -avP local_unzipped_protected user@server.com:public_html/outreach/protected I wasn't able to run `./yiic update app` with `644` permissions so changed to `755`. Secure enough to leave 755 permissions on `yiic`? Also configured `index.php/admin/updaterSettings` for automatic updates and ran # /home/user/public_html/outreach/protected/yiic update app --lock=1 The updater is up-to-date and safe to use. X2Engine is at the latest version!
  7. Hi and thanks. When you say make outbound requests to the updater URL do you mean for example: wget https://x2planet.com/installs/requirements.php What exactly IS the "updater url for X2Planet"? As of right now, when I run `./yiic update app` I get the same error: Both of those files exist with 644 permissions. (Tried with 755 permissions as well.)
  8. Still tumbleweeds on this one?
  9. Thanks. Yes it does look that way at this point. Got any recommendations?
  10. Hey @x2Jake and crew. Is this the correct place to drop a little nudge about the update issue I seem to be having? The updater version I have is $version='6.0'; $buildDate='1461528248'; $updaterVersion='6.0'; $language='en'; The rest of the details is: Using php 5.5. First thing necessary was adding the ssh2 module, which I did through CPanel. Uploaded the requirements.php file and it says: This webserver can run X2Engine! But the updater still says Cannot run updater. One or more dependencies of AdminController are missing and could not be automatically retrieved. They are protected/
  11. Yes. $version='6.0'; $buildDate='1461528248'; $updaterVersion='6.0'; $language='en';
  12. I have had this install of X2 going for a while now. A few years. It's currently on 6.0 and I'm trying to upgrade to 6.9
  13. Using php 5.5. First thing necessary was adding the ssh2 module, which I did through CPanel. Uploaded the requirements.php file and it says: This webserver can run X2Engine! But the updater still says Cannot run updater. One or more dependencies of AdminController are missing and could not be automatically retrieved. They are protected/views/admin/updater.php, protected/components/UpdaterBehavior.php Both of those files exist on the server, with permissions -rw-r--r-- and owned by myself, as are the rest of the files. The error is most likely due to one of the following things: DOUBTF
  14. Great to know. I had to empty the assets directory again after upgrade, but we seem to be back in business again. I like th new login page. Thanks, Raymond. Nice to hear from you again. Mike
  15. I'm trying to update from v5.0.3 to 5.6. Problem is that the jquery assets are not being found: `domain_name/outreach/assets/bad1a881/jquery.yii.js` The content of the above directory are: jquery.multifile.js jquery.yiiactiveform.js jquery.yiitab.js jui/Recommended to grab the missing files and just add them to the directory? "NetworkError: 404 Not Found - http://www.domain.com/outreach/assets/bad1a881/jquery.yii.js?1445898515" "NetworkError: 404 Not Found - http://www.domain.com/outreach/assets/bad1a881/jquery.min.js?1445898515" "NetworkError: 404 Not Found - http://www.domain.com/
  16. Oh my west-coast brothers. Could you offer a clue as to where I might look to solve errors like: Uncaught SyntaxError: Unexpected token ; lists:918 Uncaught ReferenceError: yii is not defined Uncaught SyntaxError: Unexpected token ; index:1253 Uncaught TypeError: Cannot read property 'translations' of undefined Eternally grateful. Well grateful for a while anyway. -iLL
  17. Uncaught SyntaxError: Unexpected token ; lists:918 Uncaught ReferenceError: yii is not defined Uncaught SyntaxError: Unexpected token ; index:1253 Uncaught TypeError: Cannot read property 'translations' of undefined
  18. Hmmm. getting Uncaught ReferenceError: yii is not defined errors now. Accessing via outreach.url.com now. Would that make a difference?
  19. Ah! Was getting 405 not allowed messages in the console. Permissions were wrong on a bunch of the .js files. Then there was an issue with CloudFlare permissions as well, so bypassing the X2 directory. Will report back when changes go into effect. Thank you.
  20. Am I using the currently supported edition?
  21. Version in footer says: X2Engine 4.3b Open Source Edition. On page: .php/contacts/createList The [add] link doesn't work in Firefox 32.0.3 and Chrome 37.0.2062.120. Nor can I create a list.
×
×
  • Create New...